2019-10-23 12:44 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001204FSSCP---------public2007-05-08 00:32
ReporterARSPR 
Assigned Totaylor 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformP4 2.8 HT - 1.5GB - 7800GSOSWindows XPOS VersionSP2
Product Version3.6.9 
Target VersionFixed in Version3.6.10 
Summary0001204: "Warning: Invalid subobj_num or model_num in subsystem ..." points to a wrong table.
DescriptionWhile testing DaBrain's new vp betas, I get the following warning for Shivan Comm Node:

=============================================================================
Warning: Invalid subobj_num or model_num in subsystem 'core' on ship type 'Shivan Comm Node'.
Not linking into ship!

(This warning means that a subsystem was present in mv_models-shp.tbm and not present in the model
it should probably be removed from the table or added to the model.)

File:J:\src\cvs\fs2_open_3_6_9.final\code\ship\Ship.cpp
Line: 5690
[This filename points to the location of a file on the computer that built this executable]

Call stack:
------------------------------------------------------------------
    ship_set() ship_create() parse_create_object_sub() parse_create_object() mission_parse_maybe_create_parse_object() post_process_ships_wings() post_process_mission() parse_mission() parse_main() mission_load() game_start_mission() game_enter_state() gameseq_set_state() game_process_event() gameseq_process_events()------------------------------------------------------------------

=============================================================================

But the '$Subsystem: core, 2,0' command is in ships.tbl inside retail root_fs2.vp not in mv_model-shp.tbm
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0007426

taylor (administrator)

Hmm, I thought that I had fixed this at one point. I thought someone else had fixed it once before as well. I guess neither time did it actually hit CVS though. :)

~0008045

taylor (administrator)

Forgot about this bug at the time, but I committed the fix for this last month.
+Notes

-Issue History
Date Modified Username Field Change
2007-01-08 14:46 ARSPR New Issue
2007-01-08 17:57 taylor Note Added: 0007426
2007-03-23 16:14 taylor Status new => assigned
2007-03-23 16:14 taylor Assigned To => taylor
2007-05-08 00:32 taylor Status assigned => resolved
2007-05-08 00:32 taylor Fixed in Version => 3.6.10
2007-05-08 00:32 taylor Resolution open => fixed
2007-05-08 00:32 taylor Note Added: 0008045
+Issue History